Create alert trigger override

POST/v1/api/sites/{site_id}/alert-trigger-configs/{trigger_type}/overrides

Create one scoped override of a trigger, for a segment or a URL pattern.

Scope
alerts:write
Token
OAuth access token only
Role
Editor, owner or admin
MCP tool
create_alert_trigger_override · preview: MCP write tools are in preview
What scopes, tokens and roles mean →
Request
curl -X POST "https://api.crawle.io/v1/api/sites/11111111-1111-1111-1111-111111111111/alert-trigger-configs/example/overrides" \
  -H "Authorization: Bearer $CRAWLE_ACCESS_TOKEN" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{"scope_type":"segment","scope_value":"example"}'
const response = await fetch("https://api.crawle.io/v1/api/sites/11111111-1111-1111-1111-111111111111/alert-trigger-configs/example/overrides", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.CRAWLE_ACCESS_TOKEN}`,
    "Idempotency-Key": crypto.randomUUID(),
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "scope_type": "segment",
    "scope_value": "example"
  }),
});
const data = await response.json();
import os
import uuid

import requests

response = requests.request(
    "POST",
    "https://api.crawle.io/v1/api/sites/11111111-1111-1111-1111-111111111111/alert-trigger-configs/example/overrides",
    headers={
        "Authorization": f"Bearer {os.environ['CRAWLE_ACCESS_TOKEN']}",
        "Idempotency-Key": str(uuid.uuid4()),
    },
    json={
      "scope_type": "segment",
      "scope_value": "example"
    },
)
data = response.json()
$CRAWLE_ACCESS_TOKEN
is an OAuth access token from your integration's sign-in.
Idempotency-Key
is a new unique value for each new request.

Response 201: a JSON object. Its fields are not described in the API contract yet, so no example is shown.

Parameters

site_idpath · string (uuid)required
trigger_typepath · stringrequired
Idempotency-Keyheader · stringrequired
1–180 characters

Request body

scope_typeenumrequired
one of "segment", "url_pattern"
scope_valuestringrequired
1–2048 characters
channelsarray of string or null
up to 16 items
custom_thresholdinteger or null
at least 1
enabledboolean
default true
percent_thresholdnumber or null
recipientsarray of string or null
up to 100 items
sensitivityenum
one of "high", "medium", "low", "custom" · default "medium"

Response 201

Returns a JSON object. Its fields are not described in the API contract yet.

Errors

  • 401

    When
    Missing, invalid, or expired token.
  • 403

    When
    The token has none of the accepted scopes (alerts:write).
  • 403

    When
    Called with an API key. This endpoint needs an OAuth access token.
  • 403

    When
    The person's workspace role is below editor.
  • 422

    When
    The request did not match the schema. detail lists each problem.
  • 429

    When
    Rate limited. Wait for Retry-After seconds.

All errors and what to do →

Generated from the API contract at 7e7039b0b, synced October 30, 2026.